Retrieves an event with its type and payload.
Parameters
path
- event_idrequiredstring
- The event's id,
evt_....
Responses
- 401
- ProblemDetail
credential_missing,credential_invalidorcredential_expired. The request has no valid credential.- 403
- ProblemDetail
scope_missing,person_required,api_key_not_acceptedorentitlement_missing. The credential or plan does not allow this request.detailnames the reason.- 404
- ProblemDetail
no_such_resource. No object has that id.- 422
- ProblemDetail
parameter_invalid,id_malformedor a cursor code. A parameter is missing or invalid.errorslists each one.- 429
- ProblemDetail
rate_limited. Too many requests. Retry after theRetry-Afterinterval. Nothing is charged.
Credits
Free.
Example request
curl -X GET 'https://api.placestack.com/v1/event/018f4b75-6f79-7c6a-8c80-000000000001' \
-H "Authorization: Bearer $PLACESTACK_API_KEY"Example response
{
"object": "event",
"id": "evt_01h455vb4pex5vsknk084sn02q",
"type": "permit.created",
"data": {
"href": "/v1/permit/pmt_01h455vb4pex5vsknk084sn02q",
"id": "pmt_01h455vb4pex5vsknk084sn02q",
"list_item": "lsi_01h455vb4pex5vsknk084sn02q",
"monitor": "mon_01h455vb4pex5vsknk084sn02q"
},
"created_at": "2026-09-13T12:00:00Z",
"href": "/v1/event/evt_01h455vb4pex5vsknk084sn02q"
}